petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESSetWorkVecs

Gets a number of work vectors.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESSetWorkVecs(SNES snes,PetscInt nw)

### Input Parameters

| snes | - the SNES context
| nw | - number of work vectors to allocate

### Level

developer

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages